Skip to main content
DELETE
/
physical_samples
/
{physical_sample_id}
/
annotations
/
import requests

response = requests.delete(
    "https://api.atomscale.ai/physical_samples/a1b2c3d4-5678-90ab-cdef-1234567890ab/annotations/",
    headers={"X-API-KEY": "YOUR_API_KEY"},
    params={"annotation_ids": ["f47ac10b-58cc-4372-a567-0e02b2c3d479"]}
)
{}
Deletes one or more spatial annotations from a physical sample. Pass the annotation UUIDs to remove as the annotation_ids query parameter.
physical_sample_id
string
required
UUID of the physical sample
annotation_ids
array
required
UUIDs of the annotations to delete

Response

Returns an empty response on success.
import requests

response = requests.delete(
    "https://api.atomscale.ai/physical_samples/a1b2c3d4-5678-90ab-cdef-1234567890ab/annotations/",
    headers={"X-API-KEY": "YOUR_API_KEY"},
    params={"annotation_ids": ["f47ac10b-58cc-4372-a567-0e02b2c3d479"]}
)
{}